<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <remote  name="gitlab"
           fetch="https://gitlab.com/pantacor/" />
  <remote  name="github"
           fetch="https://github.com/pantacor/" />
  <remote  name="uboot"
           fetch="git://git.denx.de/" />
  <remote  name="raspberrypi"
           fetch="https://github.com/raspberrypi/" />
  <remote  name="kernel"
           fetch="git://git.kernel.org/pub/scm/linux/kernel/git/stable/" />

  <remote  name="gitlab_pks"
	  fetch="https://gitlab.com/pranay.srivastava/" />

  <default revision="refs/heads/master" remote="gitlab" />

  <project name="alchemy" remote="gitlab" path="alchemy"/>

  <project name="pv-scripts" remote="gitlab" path="scripts">
    <linkfile src="build.sh" dest="build.sh" />
    <linkfile src="build.docker.sh" dest="build.docker.sh" />
    <linkfile src="README.md" dest="README.md" />
    <linkfile src=".dockerignore" dest=".dockerignore" />
  </project>
  <project name="pv-toolchains" remote="github" path="toolchains"/>
  <project name="pv-pvrfactory" remote="gitlab" path="external/trail"/>

  <project name="pantavisor" remote="gitlab" path="internal/init"/>
  <project name="libthttp" remote="gitlab" path="internal/libthttp"/>
  <project name="lxc" remote="gitlab" path="external/lxc" revision="stable-2.0"/>
  <project name="busybox" remote="gitlab" path="external/busybox"/>
  <project name="qemu" remote="gitlab" path="external/qemu"/>
  <project name="e2fsprogs" remote="gitlab" path="external/e2fsprogs"/>
  <project name="mtools" remote="gitlab" path="external/mtools"/>
  <project name="linux" remote="kernel" path="kernel/linux-stable" clone-depth="10" revision="refs/tags/v4.14.12"/>
  <project name="lowjs" remote="gitlab_pks" path="external/lowjs" sync-s="true" />

  <!-- MALTA -->
  <project name="pv-uboot-malta" remote="gitlab" clone-depth="10" path="bootloader/malta"/>
  <project name="pv-config-malta" remote="gitlab" clone-depth="10" path="config/malta"/>
  <project name="pv-kernel-malta" remote="gitlab" clone-depth="10" path="kernel/malta"/>

  <!-- RPI -->
  <project name="linux" remote="raspberrypi" clone-depth="10" path="kernel/rpi3" revision="rpi-4.14.y"/>
  <project name="u-boot.git" remote="uboot" clone-depth="10" path="bootloader/rpi3" revision="refs/tags/v2018.09"/>
  <project name="pv-vendor-rpi3" remote="gitlab" path="vendor/rpi3"/>
  <project name="pv-vendor-rpi2" remote="gitlab" path="vendor/rpi2"/>
  <project name="pv-config-rpi3" remote="gitlab" clone-depth="10" path="config/rpi3"/>
  <project name="pv-config-rpi2" remote="gitlab" clone-depth="10" path="config/rpi2"/>

  <!-- x64 UEFI -->
  <project name="pv-vendor-x64-uefi" remote="gitlab" path="vendor/x64-uefi"/>
  <project name="pv-config-x64-uefi" remote="gitlab" clone-depth="10" path="config/x64-uefi"/>

  <!-- GENERIC TARGETS -->
  <project name="pv-config-arm-generic" remote="gitlab" clone-depth="10" path="config/arm-generic"/>
  <project name="pv-config-mips-generic" remote="gitlab" clone-depth="10" path="config/mips-generic"/>
</manifest>
